Subject: bug#62750: 29.0.50; Commands 'package-update' and 'package-update-all' should be called '*-upgrade'

From: Adam Porter <[email-masked]>
Date: Mon, 24 Apr 2023 12:28:18 -0500

On 4/24/23 07:02, Eli Zaretskii wrote:

> Me, I have only one potential issue: since "update" just means "delete
> the installed version, then install another version", it could be
> easily made to downgrade, not just to upgrade.  So if we ever would
> like to allow downgrading, the new names will get in the way.  But if
> this is not an issue we should be bothered about, it's fine by me.

IMHO, a command to downgrade ought to be a separate command with a 
different name--not only to reduce confusion, but because downgrading 
packages is an operation that is more likely to require manual user 
intervention, such as recompiling other packages that depend on the 
downgraded package (e.g. if struct or macro definitions change, or 
symbols disappear).

It's easy enough to cause that problem when upgrading, and much more 
likely when downgrading, to the extent that it's arguable that a command 
to downgrade shouldn't exist, because users who want to downgrade a 
package should be prepared to deal with the potential fallout.